<?php

namespace Teknisa\TCO\Controllers;

use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Response\Error;
use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DTO\Response\Notification;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DataSource;

class Tco01011DadosPratoController extends \Teknisa\GER\Controllers\TeknisaCrud {
    
    protected $crudService;
    protected $environment;
    protected $entityManager;
    protected $TcoDadosPratoService;
    protected $retornos = array();
    protected $columnToReturn;

    public function __construct($crudService, $parameterBag, $environment, $entityManager, $TcoDadosPratoService) {
        $this->crudService           = $crudService;
        $this->environment           = $environment;
        $this->entityManager         = $entityManager;
        $this->TcoDadosPratoService  = $TcoDadosPratoService;
    }
    

    public function retornaReceitasSimulacao(DTO\Request $request, DTO\Response $response) {
        $row = $request->getRow();
        $response->addDataSet(new DataSet("receitaPrato", $this->TcoDadosPratoService->produtosReceita($row))); 
    }
    
}
